/*
 * $Id: kdcopwindow.h,v 1.2 2000/09/01 06:30:21 waba Exp $
 *
 * Copyright (C) 2000 by Matthias Kalle Dalheimer <kalle@kde.org>
 *
 * Licensed under the Artistic License.
 */

#ifndef __KDCOPWINDOW_H__
#define __KDCOPWINDOW_H__

class DCOPClient;
class QListView;
class QListViewItem;
class DCOPBrowserItem;
class KAction;

#include <kmainwindow.h>

class KDCOPWindow : public KMainWindow
{
  Q_OBJECT

public:
  KDCOPWindow( QWidget* parent = 0, const char* name = 0 );

private slots:
void slotCurrentChanged( QListViewItem* item );
void slotCallFunction();
  void slotCallFunction( QListViewItem* item );

private:
  bool fillApplications();
  void fillObjects( DCOPBrowserItem*, const char* app );
  void fillFunctions( DCOPBrowserItem*, const char* app, const char* obj );
  DCOPClient* dcop;
  QListView* lv;
  KAction* exeaction;
};

#endif
